XMLReader::moveToElement
XMLReader::moveToNextAttribute
XMLReader
PHP Manual

# XMLReader::moveToFirstAttribute

(PHP 5 >= 5.1.0)

XMLReader::moveToFirstAttribute — Position cursor on the first Attribute

### Description

public bool XMLReader::moveToFirstAttribute ( void )

Moves cursor to the first Attribute.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLReader::moveToElement() - Position cursor on the parent Element of current Attribute
- XMLReader::moveToAttribute() - Move cursor to a named attribute
- XMLReader::moveToAttributeNo() - Move cursor to an attribute by index
- XMLReader::moveToAttributeNs() - Move cursor to a named attribute
- XMLReader::moveToNextAttribute() - Position cursor on the next Attribute

XMLReader::moveToElement
XMLReader::moveToNextAttribute
XMLReader
PHP Manual